import { EdgeChange, EdgeSelectionChange, ElementChange, FlowElement, FlowElements, GraphNode, NodeChange, NodeSelectionChange, NodePositionChange, Getters, CoordinateExtent, XYPosition } from "../types";
declare type CreatePositionChangeParams = {
    node: GraphNode;
    nodeExtent: CoordinateExtent;
    diff?: XYPosition;
    dragging?: boolean;
};
export declare const applyChanges: <T extends FlowElement<any, any> = GraphNode<any>, C extends ElementChange = T extends GraphNode<any> ? NodeChange : EdgeChange>(changes: C[], elements: T[], getNode: Getters['getNode']) => T[];
export declare const createSelectionChange: (id: string, selected: boolean) => NodeSelectionChange | EdgeSelectionChange;
export declare const createPositionChange: ({ node, diff, dragging, nodeExtent }: CreatePositionChangeParams, getNode: Getters['getNode']) => NodePositionChange;
export declare const getSelectionChanges: (items: FlowElements<any, any>, selectedIds: string[], getNode: Getters['getNode']) => NodeSelectionChange[];
export {};
